# Class Mapper.MapElement<T>

java.lang.Object
org.apache.catalina.mapper.Mapper.MapElement<T>

Direct Known Subclasses:
  `Mapper.ContextVersion, Mapper.MappedContext, Mapper.MappedHost, Mapper.MappedWrapper`

Enclosing class:
  `Mapper`

protected abstract static class Mapper.MapElement<T> extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `name`
  `final T`
  `object`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapElement(String name, T object)`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    public final String name

  - ### object

    public final T object

- ## Constructor Details

  - ### MapElement

    public MapElement(String name, T object)